All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.awt
Class ContainerInterfaceSupport

    com.sas.awt.ContainerInterfaceSupport

All Implemented Interfaces:
  java.io.Serializable

    public class ContainerInterfaceSupport

implements java.io.Serializable

ContainerInterfaceSupport provides a default implementation for the ContainerInterface interface. It provides a set of static methods which are called from methods in ContainerInterfaceImpl.ji. This is so that containers do not each need to provide the implementation for the ContainerInterface.

All of the methods in this class take three parameters in addition to the method parameters in the corresponding ContainerInterface method. The first param is a ComponentInterface reference. This is used to call ComponentInterface methods. The second param is a ContainerInterface reference. This is used to call methods on the ContainerInterface like getContainerInterfaceSupportInfo(). The third param is a java.awt.Component reference. It is used to call methods like size(), and bounds() on the component.

Based on the three parameters that are passed in to the methods of this support class, only java.awt.Component subclasses which implement the ComponentInterface and ContainerInterface can use ContainerInterfaceSupport to help implement the ContainerInterface.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RB_KEY`

Constructor Summary
`ContainerInterfaceSupport()`

Method Summary
`static void` | `addNotify(com.sas.ComponentInterface componentInstance, ContainerInterface containerInstance, java.awt.Container awtContainerInstance)`
`static void` | `clone(ContainerInterface sourceObject, ContainerInterface destObject)` Helper method used to clone an object which implements ContainerInterface.
`static int` | `dragEnter(com.sas.ComponentInterface componentInstance, ContainerInterface containerInstance, java.awt.Container awtComponawtContainerInstanceentInstance, java.awt.Point point, int representation, int keyState, java.util.Vector data)`
`static void` | `dragLeave(com.sas.ComponentInterface componentInstance, ContainerInterface containerInstance, java.awt.Container awtContainerInstance)`
`static int` | `dragOver(com.sas.ComponentInterface componentInstance, ContainerInterface containerInstance, java.awt.Container awtContainerInstance, java.awt.Point point, int representation, int keyState, java.util.Vector data)`
`static com.sas.DesignTimeDropResult` | `drop(com.sas.ComponentInterface componentInstance, ContainerInterface containerInstance, java.awt.Container awtContainerInstance, java.awt.Point point, int representation, int keyState, java.util.Vector data)`
`static java.awt.Component` | `findDropComponent(java.awt.Component component)` findDropComponent takes a java.awt.Component and searches goes up it's ancestor hierarchy to find the highest java.awt.Component what is a drop barrier or is the component itself.
`static ErrorHandlerInterface` | `getErrorHandler(com.sas.ComponentInterface componentInstance, ContainerInterface containerInstance, java.awt.Container awtContainerInstance)` Returns the error handler for the specified component.
`static com.sas.beans.ExtendedBeanInfo` | `getExtendedBeanInfo()`
`static java.awt.Insets` | `getInsets(com.sas.ComponentInterface componentInstance, ContainerInterface containerInstance, java.awt.Container awtContainerInstance)` Return the insets for this component.
`static ValidationInterface` | `getValidator(com.sas.ComponentInterface componentInstance, ContainerInterface containerInstance, java.awt.Container awtContainerInstance)` Returns the validator for the specified component.
`static boolean` | `isIDEDnDDropBarrier(com.sas.ComponentInterface componentInstance, ContainerInterface containerInstance, java.awt.Container awtContainerInstance)` Returns whether the component is a drop barrier for the IDE.
`static boolean` | `isIDEDnDDropTarget(com.sas.ComponentInterface componentInstance, ContainerInterface containerInstance, java.awt.Container awtContainerInstance)` Return whether the component is an drop target for the IDE.
`static boolean` | `isValid(com.sas.ComponentInterface componentInstance, ContainerInterface containerInstance, java.awt.Container awtContainerInstance)` Returns whether the specified component is valid.
`static void` | `removeNotify(com.sas.ComponentInterface componentInstance, ContainerInterface containerInstance, java.awt.Container awtContainerInstance)`
`static void` | `setDefaultValues(com.sas.ComponentInterface componentInstance, ContainerInterface containerInstance, java.awt.Container awtContainerInstance)`
`static void` | `setErrorHandler(com.sas.ComponentInterface componentInstance, ContainerInterface containerInstance, java.awt.Container awtContainerInstance, ErrorHandlerInterface errorHandler)` Sets the error handler for the specified component.
`static void` | `setIDEDnDDropBarrier(com.sas.ComponentInterface componentInstance, ContainerInterface containerInstance, java.awt.Container awtContainerInstance, boolean isDropBarrier)` Sets whether the component is a drop barrier for the IDE.
`static void` | `setIDEDnDDropTarget(com.sas.ComponentInterface componentInstance, ContainerInterface containerInstance, java.awt.Container awtContainerInstance, boolean isDropTarget)` Set whether the component is an drop target for the IDE.
`static void` | `setInsets(com.sas.ComponentInterface componentInstance, ContainerInterface containerInstance, java.awt.Container awtContainerInstance, java.awt.Insets newInsets)`
`static void` | `setInsets(com.sas.ComponentInterface componentInstance, ContainerInterface containerInstance, java.awt.Container awtContainerInstance, int top, int left, int bottom, int right)`
`static void` | `setValidator(com.sas.ComponentInterface componentInstance, ContainerInterface containerInstance, java.awt.Container awtContainerInstance, ValidationInterface validator)` Sets the validator for the specified component.

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### ContainerInterfaceSupport

    public ContainerInterfaceSupport()

Method Detail

### getExtendedBeanInfo

    public static com.sas.beans.ExtendedBeanInfo getExtendedBeanInfo()

  Returns:
    The ExtendedBeanInfo for this class.

### setDefaultValues

    public static void setDefaultValues(com.sas.ComponentInterface componentInstance,
                                        ContainerInterface containerInstance,
                                        java.awt.Container awtContainerInstance)

  See Also:
    `ComponentInterface.setDefaultValues()`

### getInsets

    public static java.awt.Insets getInsets(com.sas.ComponentInterface componentInstance,
                                            ContainerInterface containerInstance,
                                            java.awt.Container awtContainerInstance)

  Return the insets for this component. The insets are determined by taking the superclass's insets and adding the component's insets and the border's insets.

  See Also:
    `ContainerInterface.getInsets()`

### addNotify

    public static void addNotify(com.sas.ComponentInterface componentInstance,
                                 ContainerInterface containerInstance,
                                 java.awt.Container awtContainerInstance)

  See Also:
    `ContainerInterface.addNotify()`

### removeNotify

    public static void removeNotify(com.sas.ComponentInterface componentInstance,
                                    ContainerInterface containerInstance,
                                    java.awt.Container awtContainerInstance)

  See Also:
    `ContainerInterface.removeNotify()`

### setInsets

    public static void setInsets(com.sas.ComponentInterface componentInstance,
                                 ContainerInterface containerInstance,
                                 java.awt.Container awtContainerInstance,
                                 java.awt.Insets newInsets)

  See Also:
    `ContainerInterface.setInsets(java.awt.Insets)`

### setInsets

    public static void setInsets(com.sas.ComponentInterface componentInstance,
                                 ContainerInterface containerInstance,
                                 java.awt.Container awtContainerInstance,
                                 int top,
                                 int left,
                                 int bottom,
                                 int right)

### dragOver

    public static int dragOver(com.sas.ComponentInterface componentInstance,
                               ContainerInterface containerInstance,
                               java.awt.Container awtContainerInstance,
                               java.awt.Point point,
                               int representation,
                               int keyState,
                               java.util.Vector data)

### dragEnter

    public static int dragEnter(com.sas.ComponentInterface componentInstance,
                                ContainerInterface containerInstance,
                                java.awt.Container awtComponawtContainerInstanceentInstance,
                                java.awt.Point point,
                                int representation,
                                int keyState,
                                java.util.Vector data)

### dragLeave

    public static void dragLeave(com.sas.ComponentInterface componentInstance,
                                 ContainerInterface containerInstance,
                                 java.awt.Container awtContainerInstance)

### drop

    public static com.sas.DesignTimeDropResult drop(com.sas.ComponentInterface componentInstance,
                                                    ContainerInterface containerInstance,
                                                    java.awt.Container awtContainerInstance,
                                                    java.awt.Point point,
                                                    int representation,
                                                    int keyState,
                                                    java.util.Vector data)

### isIDEDnDDropTarget

    public static boolean isIDEDnDDropTarget(com.sas.ComponentInterface componentInstance,
                                             ContainerInterface containerInstance,
                                             java.awt.Container awtContainerInstance)

  Return whether the component is an drop target for the IDE.

### setIDEDnDDropTarget

    public static void setIDEDnDDropTarget(com.sas.ComponentInterface componentInstance,
                                           ContainerInterface containerInstance,
                                           java.awt.Container awtContainerInstance,
                                           boolean isDropTarget)

  Set whether the component is an drop target for the IDE.

### findDropComponent

    public static java.awt.Component findDropComponent(java.awt.Component component)

  findDropComponent takes a java.awt.Component and searches goes up it's ancestor hierarchy to find the highest java.awt.Component what is a drop barrier or is the component itself.

### isIDEDnDDropBarrier

    public static boolean isIDEDnDDropBarrier(com.sas.ComponentInterface componentInstance,
                                              ContainerInterface containerInstance,
                                              java.awt.Container awtContainerInstance)

  Returns whether the component is a drop barrier for the IDE.

### setIDEDnDDropBarrier

    public static void setIDEDnDDropBarrier(com.sas.ComponentInterface componentInstance,
                                            ContainerInterface containerInstance,
                                            java.awt.Container awtContainerInstance,
                                            boolean isDropBarrier)

  Sets whether the component is a drop barrier for the IDE.

### getErrorHandler

    public static ErrorHandlerInterface getErrorHandler(com.sas.ComponentInterface componentInstance,
                                                        ContainerInterface containerInstance,
                                                        java.awt.Container awtContainerInstance)

  Returns the error handler for the specified component.

  Returns:
    the error handler for the specified component.
  See Also:
    `setErrorHandler(com.sas.ComponentInterface, com.sas.awt.ContainerInterface, java.awt.Container, com.sas.util.errorhandlers.ErrorHandlerInterface)`

### setErrorHandler

    public static void setErrorHandler(com.sas.ComponentInterface componentInstance,
                                       ContainerInterface containerInstance,
                                       java.awt.Container awtContainerInstance,
                                       ErrorHandlerInterface errorHandler)

  Sets the error handler for the specified component.

  See Also:
    `getErrorHandler(com.sas.ComponentInterface, com.sas.awt.ContainerInterface, java.awt.Container)`

### isValid

    public static boolean isValid(com.sas.ComponentInterface componentInstance,
                                  ContainerInterface containerInstance,
                                  java.awt.Container awtContainerInstance)

  Returns whether the specified component is valid. This will check the valid property on each of the children who implement the ValidatorInterface.

  See Also:
    `getValidator(com.sas.ComponentInterface, com.sas.awt.ContainerInterface, java.awt.Container)`, `setValidator(com.sas.ComponentInterface, com.sas.awt.ContainerInterface, java.awt.Container, com.sas.util.validators.ValidationInterface)`

### getValidator

    public static ValidationInterface getValidator(com.sas.ComponentInterface componentInstance,
                                                   ContainerInterface containerInstance,
                                                   java.awt.Container awtContainerInstance)

  Returns the validator for the specified component.

### setValidator

    public static void setValidator(com.sas.ComponentInterface componentInstance,
                                    ContainerInterface containerInstance,
                                    java.awt.Container awtContainerInstance,
                                    ValidationInterface validator)

  Sets the validator for the specified component.

### clone

    public static void clone(ContainerInterface sourceObject,
                             ContainerInterface destObject)
                      throws java.lang.CloneNotSupportedException

  Helper method used to clone an object which implements ContainerInterface.

  Throws:
    `java.lang.CloneNotSupportedException` - If the ContainerInterfaceSupportInfo clone() fails

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.